NameTreeNode (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class NameTreeNode

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.NameTreeNode

    public class NameTreeNode

extends java.lang.Object

Class for nodes of a PDF name tree, e.g., ExternalFiles. Name trees are intended for large amounts of data that won't have to all be brought into memory at once; so this implementation is geared toward file-based lookup of a key rather than creating an in-memory structure. Descendant nodes become available for garbage collection if they are not on the search path for a match. Keys are collated according to raw bytes, not character encoding.

Field Summary
`protected PdfDictionary` | `_dict`
`protected PdfModule` | `_module`
`protected NameTreeNode` | `_parent`

Constructor Summary
`NameTreeNode(PdfModule module, NameTreeNode parent, PdfDictionary dict)` Constructor.

Method Summary
`PdfObject` | `get(java.util.Vector key)` Get the PdfObject which matches the key, or null if there is no match.
`boolean` | `inBounds(java.util.Vector key)` See if a key is within the bounds of this node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _module

    protected PdfModule _module

### _parent

    protected NameTreeNode _parent

### _dict

    protected PdfDictionary _dict

Constructor Detail

### NameTreeNode

    public NameTreeNode(PdfModule module,
                        NameTreeNode parent,
                        PdfDictionary dict)
                 throws PdfException

  Constructor.

  Parameters:
    `module` - The PdfModule under which we're operating
    `parent` - The parent node in the document tree; may be null only for the root node
    `dict` - The dictionary object on which this node is based
  Throws:
    `PdfException`

Method Detail

### inBounds

    public boolean inBounds(java.util.Vector key)

  See if a key is within the bounds of this node. All keys are within the bounds of the root node.

### get

    public PdfObject get(java.util.Vector key)
                  throws PdfException

  Get the PdfObject which matches the key, or null if there is no match.

  Throws:
    `PdfException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD